#include <iostream> 
#include <cmath>

using namespace std; 

int main()
{ 
    int a; 
    int b; 
    int c;
    
    cin >> a >> b >> c; 
    
    int x;
    int y; 
    int z;
 
    x = 0;
    y = 0;
    z = 0;
    
    int s = a;
    int d = b; 
    int f = c; 
 
    while(s>0)
    {
        x++;
        s = s/10;
    }
        while(d>0)
    {
        y++;
        d = d/10;
    }
        while(f>0)
    {
        z++;
        f = f/10;
    }
    
    int broj[5];

    int t;
    int r; 
    int e;
    
    t = x + y; 
    r = x + z; 
    e = y + z;
    
     broj[0] = a*pow(10,e) + b*pow(10,z) + c;
     broj[1] = a*pow(10,e) + c*pow(10,y) + b;
     broj[2] = b*pow(10,r) + a*pow(10,z) + c;
     broj[3] = b*pow(10,r) + c*pow(10,x) + a;
     broj[4] = c*pow(10,t) + a*pow(10,y) + b;
     broj[5] = c*pow(10,t) + b*pow(10,x) + a;
     
    int maks = broj[0];
    
    for(int i = 1; i < 6; i++)
    {
        if(maks < broj[i])
        {
            maks = broj[i];
        }
    }
   
    cout << maks;
     
    return 0;

}